X "is not a defined QIIME type, a plugin may be needed to define it."

Hello. I have just downloaded the latest QIIME2 2018.4.

When I try to import data, regardless of the --type I choose, I am told “Name ‘[type]’ is not a defined QIIME type, a plugin may be needed to define it.”

I have all the plugins installed. So, what is the fix?

qiime tools import --type DNAFASTAFormat --input-path /PATH/Directory --output-path /PATH/Name

Traceback (most recent call last):
File “/Users/USERNAME/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/util.py”, line 62, in parse_type
type_expr = eval(string, {‘builtins’: {}}, locals_)
File “”, line 1, in
NameError: name ‘DNAFASTAFormat’ is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/USERNAME/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/q2cli/tools.py”, line 116, in import_data
view_type=source_format)
File “/Users/USERNAME/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/result.py”, line 181, in import_data
type_ = qiime2.sdk.parse_type(type_)
File “/Users/USERNAME/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/util.py”, line 82, in parse_type
" may be needed to define it." % name)
qiime2.sdk.util.UnknownTypeError: Name ‘DNAFASTAFormat’ is not a defined QIIME type, a plugin may be needed to define it.

An unexpected error has occurred:

Name ‘DNAFASTAFormat’ is not a defined QIIME type, a plugin may be needed to define it.

See above for debug info.

Hello Matan,

Take a look at the importing page to see some examples of this command.

Try replacing this
--type DNAFASTAFormat
with one of the examples on that page.

Let me know if that helps,
Colin

1 Like

Thanks @colinbrislawn! The takeaway here, @mshelomi, is that your are specifying a Format in a place that is expecting to see a Semantic Type. Take a look at the link @colinbrislawn passed on, that should get you moving forward (I hope). If you get stuck, you know where to find us! :t_rex:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.